Distribution:   CCux
Packager:	Simon Schmeisser <mail_to_wrt@gmx.de>

Name:		LMarbles
%define filename lmarbles
Version:	1.0.7
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://lgames.sourceforge.net
Group:		Games/Arcade
Source0:	%{filename}-%{version}.tar.gz
Source1:	%{filename}.desktop
Source2:	%{filename}.png
BuildRoot:	%{_tmppath}/%{filename}-buildroot
Summary:	LMarbles is an Atomix clone with a slight change in concept.
Requires:	SDL SDL_mixer libpng
BuildRequires:	SDL-devel SDL_mixer-devel libpng-devel glibc-devel



%description
LMarbles is an Atomix clone with a slight change in concept. Instead of assembling molecules you create figures out of marbles. Nevertheless, the basic game play is the same: If a marble starts to move it will not stop until it hits a wall or another marble. To make it more interesting there are obstacles like one-way streets, crumbling walls and portals.
As Marbles is meant as a puzzle game you play against a move limit and not a time limit. This way you have as much time as you need to think.

For more details see: http://lgames.sourceforge.net


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{filename}-%{version}

%build
./configure --prefix=%_prefix \
				--disable-sdltest \
				--with-docdir=%_datadir/doc \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/{applications,pixmaps}
cp %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications
cp %{SOURCE2} $RPM_BUILD_ROOT%_datadir/pixmaps
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 7 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 1.0.7-1
- Initial release
